# Raspberry Pi BullsEye arm64 Virtual machine Installation Guide

Tested on Windows 10 22H2 19045.3448

## Prerequisites

1. qemu
https://packages.msys2.org/base/mingw-w64-qemu
2. DiskInternals Linux Reader
https://www.diskinternals.com/linux-reader/
3. Raspberry Pi OS image

## Installation

1. Install **qemu** and **Linux Reader**
2. Download **Raspberry Pi OS image** zip archive and extract it
3. Open **Linux Reader**, click *Drives* -> *Mount Image* and choose the path to **image** .img file
4. In *Volumes* section open **FAT32 Volume 2 (boot)**
5. Select both *bcm2710-rpi-3-b-plus.dtb* and *kernel8.img* -> right click -> *Save*
6. Move to **qemu** installation directory (`C:\ProgramFiles\qemu` by default) the following files: 
    - bcm2710-rpi-3-b-plus.dtb
    - kernel8.img
    - 2022-01-28-raspios-bullseye-arm64
    - run_raspberry_pi.bat

## Launching

1. In **qemu** installation directory open CMD as Admin
2. Type in `run_raspberry_pi.bat` and run. This will open qemu virtual machine and launch Raspberry Pi OS. This may take up to 5 minutes
3. When Raspberry Pi is launched, in CMD type in the following credentials:
```
login: pi
password: raspberry
```

Now you should be able to enter Linux/RaspberryPi commands in CMD window
